geos::index::strtree::ItemBoundable Class Reference

Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree. More...

`#include <ItemBoundable.h>`

Inheritance diagram for geos::index::strtree::ItemBoundable:

## Public Member Functions

| ItemBoundable (const void *newBounds, void *newItem)
bool | isLeaf () const override
const void * | getBounds () const override
void * | getItem () const

## Detailed Description

Boundable wrapper for a non-Boundable spatial object. Used internally by AbstractSTRtree.

Todo
  TODO: It's unclear who takes ownership of passed newBounds and newItem objects.

## Member Function Documentation

## getBounds()

const void * geos::index::strtree::ItemBoundable::getBounds | ( |  | ) | const

inline override virtual

Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables.

The class of object returned depends on the subclass of AbstractSTRtree.

Returns
  an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

See also
  AbstractSTRtree::IntersectsOp

Implements geos::index::strtree::Boundable.

Reimplemented in geos::index::strtree::SimpleSTRnode.

## isLeaf()

bool geos::index::strtree::ItemBoundable::isLeaf | ( |  | ) | const

inline override virtual

Implements geos::index::strtree::Boundable.

The documentation for this class was generated from the following file:

- ItemBoundable.h